




#include "xanimparttrans.h"

XAnimPartTrans::XAnimPartTrans()
    : XAsset() {
}

void XAnimPartTrans::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        aStream->read((char*)&mSize, sizeof(quint16));
        quint8 smallTransByte;
        aStream->read((char*)&smallTransByte, sizeof(quint8));
        mIsSmallTrans = (smallTransByte != 0);

        // Parse data
        mData.ParseData(aStream);
    }
}

quint16 XAnimPartTrans::GetSize() const {
    return mSize;
}

void XAnimPartTrans::SetSize(quint16 size) {
    mSize = size;
}

bool XAnimPartTrans::IsSmallTrans() const {
    return mIsSmallTrans;
}

void XAnimPartTrans::SetIsSmallTrans(bool isSmall) {
    mIsSmallTrans = isSmall;
}

XAnimPartTransData& XAnimPartTrans::GetData() {
    return mData;
}

const XAnimPartTransData& XAnimPartTrans::GetData() const {
    return mData;
}

void XAnimPartTrans::SetData(const XAnimPartTransData& data) {
    mData = data;
}




